Freeciv-3.3: government Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
government Struct Reference

`#include <government.h>`

## Data Fields

Government_type_id | item_number
struct name_translation | name
bool | ruledit_disabled
char | graphic_str [MAX_LEN_NAME]
char | graphic_alt [MAX_LEN_NAME]
char | sound_str [MAX_LEN_NAME]
char | sound_alt [MAX_LEN_NAME]
struct requirement_vector | reqs
struct ruler_title_hash * | ruler_titles
int | changed_to_times
struct strvec * | helptext
struct { |
struct government * better |
} | ai |

## Detailed Description

Definition at line 52 of file government.h.

## Field Documentation

## ◆ [struct]

struct { ... } government::ai

Referenced by have_better_government().

## ◆ better

struct government* government::better

Definition at line 67 of file government.h.

Referenced by have_better_government().

## ◆ changed_to_times

int government::changed_to_times

Definition at line 62 of file government.h.

Referenced by government_change(), revolentype_length(), sg_load_ruledata(), and sg_load_ruledata().

## ◆ graphic_alt

char government::graphic_alt[MAX_LEN_NAME]

Definition at line 57 of file government.h.

Referenced by handle_ruleset_government(), and tileset_setup_government().

## ◆ graphic_str

char government::graphic_str[MAX_LEN_NAME]

Definition at line 56 of file government.h.

Referenced by handle_ruleset_government(), and tileset_setup_government().

## ◆ helptext

struct strvec* government::helptext

Definition at line 63 of file government.h.

Referenced by handle_ruleset_government(), and helptext_government().

## ◆ item_number

Government_type_id government::item_number

Definition at line 53 of file government.h.

Referenced by handle_ruleset_government().

## ◆ name

struct name_translation government::name

Definition at line 54 of file government.h.

Referenced by handle_ruleset_government(), and tab_gov::name_given().

## ◆ reqs

struct requirement_vector government::reqs

Definition at line 60 of file government.h.

Referenced by can_change_to_government(), dai_gov_value(), tab_gov::edit_reqs(), handle_ruleset_government(), and helptext_government().

## ◆ ruledit_disabled

bool government::ruledit_disabled

Definition at line 55 of file government.h.

Referenced by tab_gov::add_now(), tab_gov::delete_now(), and tab_gov::name_given().

## ◆ ruler_titles

struct ruler_title_hash* government::ruler_titles

Definition at line 61 of file government.h.

Referenced by government_init().

## ◆ sound_alt

char government::sound_alt[MAX_LEN_NAME]

Definition at line 59 of file government.h.

Referenced by handle_ruleset_government().

## ◆ sound_str

char government::sound_str[MAX_LEN_NAME]

Definition at line 58 of file government.h.

Referenced by handle_ruleset_government().